import { DefineComponent, RecordPropsDefinition, ComponentOptions, Vue2type } from './additionalTypes';
declare type DefaultData<V> = object | ((this: V) => {});
declare type DefaultMethods<V> = {
    [key: string]: (this: V, ...args: any[]) => any;
};
/**
 * @hidden
 */
export interface DialogActionsBarProps {
    /**
     * Set the layout of the actions.
     *
     * The supported values are:
     * * (Default) `start`
     * * `center`
     * * `end`
     * * `stretched`
     */
    layout: string;
    /**
     * Specifies the orientation of the Dialog action buttons.
     *
     * * The possible values are:
     * * (Default) `horizontal`
     * * `vertical`
     *
     */
    orientation?: 'horizontal' | 'vertical' | string;
}
/**
 * @hidden
 */
export interface DialogActionsBarComputed {
    [key: string]: any;
    wrapperClasses: object;
}
/**
 * @hidden
 */
export interface DialogActionsBarAll extends DialogActionsBarComputed, DialogActionsBarProps, Vue2type {
}
/**
 * @hidden
 */
declare let DialogActionsBarVue2: ComponentOptions<Vue2type, DefaultData<{}>, DefaultMethods<DialogActionsBarAll>, {}, RecordPropsDefinition<DialogActionsBarProps>>;
/**
 * @hidden
 */
declare const DialogActionsBar: DefineComponent<{}, any, {}, {}, {}, {}, {}, {}, string, {}, {}, {}>;
export { DialogActionsBar, DialogActionsBarVue2 };
