/**
 * @hidden
 */
export interface DialogCloseEvent {
    /**
     * An event target.
     */
    target: any;
    /**
     * A native DOM event.
     */
    event: any;
}
export interface WindowActionsEvent {
    state?: 'DEFAULT' | 'FULLSCREEN' | 'MINIMIZED';
}
export interface WindowMoveEvent {
    /**
     * An event target.
     */
    target: Window;
    /**
     * A native DOM event.
     */
    event: any;
    /**
     * Indicates that dragging is completed and that the user dropped the resize handler.
     */
    end: boolean;
    /**
     * Indicates that the move operation was initialized through dragging. If the Window is moved through the keyboard, the value will be `false`.
     */
    drag: boolean;
}
